DependSelector (Apache Ant API)
Keywords: org.apache.tools.ant.types.selectors.DependSelector class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.types.selectors
Class DependSelector

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.types.DataType
              org.apache.tools.ant.types.selectors.BaseSelector
                  org.apache.tools.ant.types.selectors.MappingSelector
                      org.apache.tools.ant.types.selectors.DependSelector

All Implemented Interfaces:
  java.lang.Cloneable, FileSelector

    public class DependSelector

extends MappingSelector

Selector that filters files based on whether they are newer than a matching file in another directory tree. It can contain a mapper element, so isn't available as an ExtendSelector (since those parameters can't hold other elements).

Since:
  1.5

Field Summary

Fields inherited from class org.apache.tools.ant.types.selectors.MappingSelector
`granularity, map, mapperElement, targetdir`

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`DependSelector()` Creates a new `DependSelector` instance.

Method Summary
`boolean` | `selectionTest(java.io.File srcfile, java.io.File destfile)` this test is our selection test that compared the file with the destfile
`java.lang.String` | `toString()` Basic DataType toString().

Methods inherited from class org.apache.tools.ant.types.selectors.MappingSelector
`addConfigured, createMapper, isSelected, setGranularity, setTargetdir, verifySettings`

Methods inherited from class org.apache.tools.ant.types.selectors.BaseSelector
`getError, setError, validate`

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, clone, dieOnCircularReference, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, setRefid, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DependSelector

    public DependSelector()

  Creates a new `DependSelector` instance.

Method Detail

### toString

    public java.lang.String toString()

  Description copied from class: `DataType`
  Basic DataType toString().

  Overrides:
    `toString` in class `DataType`
  Returns:
    a string describing this object

### selectionTest

    public boolean selectionTest(java.io.File srcfile,
                                 java.io.File destfile)

  this test is our selection test that compared the file with the destfile

  Specified by:
    `selectionTest` in class `MappingSelector`
  Parameters:
    `srcfile` - the source file
    `destfile` - the destination file
  Returns:
    true if destination is out of date

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD